# Generated by Django 3.2.6 on 2022-02-18 13:35

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Discussion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('theme', models.CharField(max_length=512)),
                ('post', models.TextField()),
                ('image', models.ImageField(blank=True, null=True, upload_to='discussion')),
                ('posted', models.DateTimeField()),
                ('modified', models.DateTimeField(auto_now_add=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='discussions', to=settings.AUTH_USER_MODEL)),
                ('reaction', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='club.discussion')),
            ],
        ),
        migrations.CreateModel(
            name='Actuality',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('topic', models.CharField(max_length=512)),
                ('story', models.TextField()),
                ('image', models.ImageField(upload_to='actuality')),
                ('created', models.DateTimeField()),
                ('modified', models.DateTimeField(auto_now_add=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='actualities', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
